package com.gz.service.system;

import com.gz.core.exception.BusinessException;
import com.gz.dto.system.FileDTO;
import com.gz.rvo.system.FileUploadRVO;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

public interface FileService {

    /**
     * @description 上传文件
     * @author LiuChangLan
     * @since 2020/9/9 11:25
     * @return
     */
    FileUploadRVO upload(MultipartFile files, String fileId) throws BusinessException, IOException;

    List<FileDTO> selectByFileId(String fileId);

    Integer delete(Integer id);
}
